Package org.stianloader.micromixin.transform.internal.util

## Class LabelNodeMapper.LazyDuplicateLabelNodeMapper

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.LabelNodeMapper.LazyDuplicateLabelNodeMapper

All Implemented Interfaces:
  `LabelNodeMapper`

Enclosing interface:
  LabelNodeMapper

    public static class LabelNodeMapper.LazyDuplicateLabelNodeMapper
    extends java.lang.Object
    implements LabelNodeMapper

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.stianloader.micromixin.transform.internal.util.LabelNodeMapper

`LabelNodeMapper.LazyDuplicateLabelNodeMapper`

### Constructor Summary

Constructors
`LazyDuplicateLabelNodeMapper()`
`LazyDuplicateLabelNodeMapper​(java.util.Map<org.objectweb.asm.tree.LabelNode,​org.objectweb.asm.tree.LabelNode> labelMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.tree.LabelNode` `apply​(org.objectweb.asm.tree.LabelNode label)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LazyDuplicateLabelNodeMapper

    public LazyDuplicateLabelNodeMapper()

#### LazyDuplicateLabelNodeMapper

    public LazyDuplicateLabelNodeMapper​(@NotNull
                                        java.util.Map<org.objectweb.asm.tree.LabelNode,​org.objectweb.asm.tree.LabelNode> labelMap)

### Method Detail

#### apply

    @NotNull
    public org.objectweb.asm.tree.LabelNode apply​(org.objectweb.asm.tree.LabelNode label)

Specified by:
  `apply` in interface `LabelNodeMapper`